Exigences liées au niveau d'API cible pour les applications Google Play

Afin de clarifier les échéances des niveaux d'API cibles, nous harmonisons les dates et fixons une date limite unique au 31 août de chaque année.

À partir du 31 août 2023 :

  • Les nouvelles applications doivent cibler Android 13 (niveau d'API 33) ou version ultérieure, à l'exception des applications Wear OS, qui doivent cibler Android 11 (niveau d'API 30) ou version ultérieure jusqu'à Android 13 (niveau d'API 33).
  • Les applications existantes doivent cibler le niveau d'API 31 ou supérieur pour rester disponibles sur les appareils exécutant une version de l'OS Android supérieure au niveau d'API cible de l'application. Les applications qui ciblent un niveau d'API 30 ou inférieur (niveau d'API cible 29 ou inférieur pour Wear OS) seront uniquement disponibles sur les appareils exécutant une version de l'OS Android inférieure ou égale au niveau d'API cible de l'application.
Si vous avez besoin de plus de temps pour mettre à jour votre application, vous pourrez demander un délai jusqu'au 1er novembre 2023. Vous pourrez accéder aux formulaires de demande de délai début août dans la Play Console si votre application est concernée. Sur la page État de conformité avec les règles, cliquez sur l'avertissement ou le problème en question.

Chaque nouvelle version d'Android apporte des modifications qui améliorent l'expérience utilisateur, la sécurité et les performances de la plate-forme Android dans son ensemble. Chaque application indique dans son fichier manifeste une targetSdkVersion (également appelée "niveau d'API cible"). Ce niveau d'API cible indique comment l'application est censée s'exécuter sous différentes versions d'Android.

Si vous configurez votre application de sorte qu'elle cible un niveau d'API récent, les utilisateurs bénéficieront des améliorations en termes de sécurité, de confidentialité et de performances, tout en ayant encore la possibilité d'exécuter l'application sous une version d'Android antérieure (dans la limite définie par minSdkVersion).

Pour offrir une expérience sécurisée aux utilisateurs d'Android et de Google Play, toutes les applications doivent respecter les exigences ci-dessous concernant le niveau d'API cible.

Il existe des exceptions à ces exigences, dont :

  • Les applications définitivement privées limitées aux utilisateurs d'une organisation spécifique et destinées à une diffusion interne uniquement 
  • Les applications qui ciblent les facteurs de forme Automotive et qui sont regroupées dans un même package restent visibles par tous les utilisateurs de Google Play.

Définitions

Nouvelle application Application pas encore publiée sur Google Play (par exemple, une toute nouvelle application)
Application existante Application publiée sur Google Play
Mise à jour d'application Nouvelle version de l'application que vous soumettez pour examen afin de remplacer l'existante

Exigences concernant les mises à jour d'applications

Version de l'OS Android
(niveau d'API)

Date à laquelle les nouvelles applications et mises à jour d'application doivent cibler ce niveau d'API
Nouvelles applications Mises à jour d'application

Android 13 (niveau d'API 33)*

31 août 2023

31 août 2023

Android 12 (niveau d'API 31)

31 août 2022

1er novembre 2022

* Pour simplifier la transition, les développeurs peuvent demander un délai supplémentaire jusqu'au 1er novembre.

Conseil : Si vous souhaitez obtenir des conseils techniques sur la modification du niveau d'API cible de votre application pour répondre à ces exigences, consultez le guide de migration.

Exigences concernant les applications Wear OS

Version de l'OS Android (niveau d'API)

Date à laquelle les applications Wear OS doivent cibler ce niveau d'API
Nouvelles applications Mises à jour d'application
Android 11 (niveau d'API 30) (sans modification) 1er août 2022 1er novembre 2022

Exigences concernant la disponibilité des applications

À l'heure actuelle, les applications existantes (sur mobile, Android Auto et Android TV) doivent cibler le niveau d'API 31 ou supérieur d'ici le 31 août 2023. Les applications Wear OS doivent cibler un niveau d'API entre 30 et 33. Sinon, elles ne seront plus visibles par tous les utilisateurs de Google Play dont les appareils sont équipés d'une version de l'OS Android plus récente que leur niveau d'API cible actuel, car elles n'ont pas été conçues pour répondre aux normes de sécurité et de qualité que ces utilisateurs attendent d'une version plus récente de l'OS Android.

  • Après le 31 août 2023, les applications qui ciblent Android 11 (niveau d'API 30)* ou version antérieure ne seront plus disponibles pour les nouveaux utilisateurs exécutant une version de l'OS Android supérieure à l'API cible de l'application.
  • Depuis le 1er novembre 2022 (ou le 1er mai 2023 si vous avez obtenu un délai pour votre application), les applications qui ciblent Android 10 (niveau d'API 29) ou version antérieure ne sont plus disponibles pour les nouveaux utilisateurs exécutant une version de l'OS Android supérieure à l'API cible de l'application.

* Pour simplifier la transition, les développeurs peuvent demander un délai supplémentaire jusqu'au 1er novembre 2023. Vous trouverez les formulaires de demande de délai pour votre application dans la Play Console au début du mois d'août, si vous êtes concerné. Sur la page État de conformité avec les règles, cliquez sur le problème en question.


Actions à accomplir pour que votre application soit conforme

Nouvelles applications

Applications existantes

Lorsque vous publiez une nouvelle application, celle-ci doit cibler le niveau d'API 33 ou supérieur.

Si votre application existante cible le niveau d'API 31 ou supérieur, elle est conforme à ce règlement.

Si elle cible un niveau d'API inférieur, elle ne sera plus disponible pour tous les utilisateurs de Google Play dont les appareils sont équipés d'une version de l'OS Android plus récente que son niveau d'API cible actuel, car elle n'a pas été conçue pour répondre aux normes de sécurité et de qualité que ces utilisateurs attendent d'une version plus récente de l'OS Android.

  • Si vous prévoyez de mettre à jour cette application vers un niveau d'API cible plus élevé, vous pouvez demander un délai supplémentaire afin qu'elle continue d'être proposée à tous les utilisateurs de Google Play jusqu'au 1er novembre 2023. Vous recevrez des avertissements pour non-conformité aux règles pour les applications concernées dans votre boîte de réception de la Play Console, et pourrez accéder au formulaire de demande de délai sur la page d'informations de l'avertissement ou du problème, accessible depuis la page État de conformité avec les règles.
Lorsque vous mettez à jour votre application, celle-ci doit cibler le niveau d'API 33 ou supérieur.


Exigences pour Wear OS

Nouvelles applications

Applications existantes

Lorsque vous publiez une nouvelle application, celle-ci doit cibler un niveau d'API entre 30 et et 33 (celui d'Android 13).

Si votre application existante cible un niveau d'API entre 30 et 33 (celui d'Android 13), elle est conforme à ce règlement.

Si elle cible un niveau d'API inférieur, elle ne sera plus disponible pour tous les utilisateurs de Google Play dont les appareils exécutent une version de l'OS Android plus récente que son niveau d'API cible actuel, car elle n'a pas été conçue pour répondre aux normes de sécurité et de qualité que ces utilisateurs attendent d'une version plus récente de l'OS Android.

  • Si vous prévoyez de mettre à jour cette application vers le niveau d'API cible 30, vous pouvez demander un délai supplémentaire afin qu'elle continue d'être proposée à tous les utilisateurs de Google Play jusqu'au 1er novembre 2023. Vous recevrez des avertissements pour non-conformité aux règles pour les applications concernées dans votre boîte de réception de la Play Console, et pourrez accéder au formulaire de demande de délai sur la page d'informations de l'avertissement ou du problème, accessible depuis la page État de conformité avec les règles.
Lorsque vous mettez à jour votre application, vous devez cibler un niveau d'API entre 30 et 33 (celui d'Android 13).

Questions fréquentes

Pour les applications ciblant le niveau d'API 30 ou inférieur

Une de mes applications sur Google Play cible le niveau d'API 30 ou inférieur (niveau d'API 29 ou inférieur pour Wear OS), et je ne prévois pas de la mettre à jour. Que puis-je faire ?

Si vous voulez toujours proposer cette application aux utilisateurs existants, aucune action n'est requise de votre part. Toutefois, votre application ne sera plus disponible pour les nouveaux utilisateurs de Google Play dont les appareils exécutent une version de l'OS Android plus récente que son niveau d'API cible actuel. Elle sera uniquement disponible pour les utilisateurs de Google Play dont les appareils exécutent une version de l'OS Android inférieure ou égale à l'API cible de l'application.

D'ici le 31 août 2023, votre application devra impérativement cibler le niveau d'API requis. Sinon, elle ne sera plus visible par tous les utilisateurs de Google Play dont les appareils exécutent une version de l'OS Android plus récente que son niveau d'API cible actuel.

Si vous prévoyez de mettre à jour cette application vers un niveau d'API cible plus élevé après le 31 août, vous pouvez demander un délai supplémentaire afin qu'elle continue d'être proposée à tous les utilisateurs de Google Play jusqu'au 1er novembre. Vous trouverez le formulaire de demande de délai dans la Play Console plus tard dans de l'année.

Si vous ne voulez plus diffuser votre application auprès de nouveaux utilisateurs, même sur des appareils plus anciens, vous pouvez annuler sa publication.

Où puis-je trouver le formulaire de demande de délai supplémentaire pour que mon application reste visible par tous les utilisateurs de Google Play jusqu'au 1er novembre 2023 ?

Seules les applications qui ne respectent pas le règlement recevront des avertissements et des messages à ce sujet dans la boîte de réception de la Play Console. Le formulaire de demande de délai est disponible sur la page d'informations de l'avertissement ou du problème, à laquelle vous pouvez accéder depuis la page État de conformité avec les règles de la Play Console.

Je souhaite annuler la publication de certaines de mes applications sur Google Play. Que dois-je faire ?

Pour savoir comment annuler la publication de votre application, consultez Mettre à jour ou annuler la publication de votre application.

Quel sera l'impact pour les utilisateurs ayant déjà téléchargé mon application ?

Cela n'aura aucune incidence pour les utilisateurs ayant déjà installé l'application à partir de Google Play. Ils pourront toujours la rechercher, la réinstaller et s'en servir dans n'importe quelle version de l'OS Android compatible avec votre application.

Cette modification va-t-elle affecter le téléchargement d'applications ?

Cela peut avoir un impact sur les niveaux de téléchargement de votre application si les nouveaux utilisateurs d'appareils exécutant une version plus récente de l'OS Android ne peuvent pas la rechercher ni la télécharger depuis Google Play.

Que se passera-t-il si un utilisateur muni d'un nouvel appareil clique sur un lien profond vers la fiche Play Store d'une application, mais que l'application cible le niveau d'API 30 ou inférieur ?

Google Play indiquera à l'utilisateur que cette application ne peut pas être installée sur son appareil, car elle a été conçue pour une version d'Android plus ancienne.

Existe-t-il des exceptions pour les applications existantes qui ciblent l'API 30 ou inférieure ?

Oui. Nous accordons des exceptions pour les applications définitivement privées limitées aux utilisateurs d'une organisation spécifique et destinées à une distribution interne uniquement et les applications qui ciblent le facteur de forme Android Automotive OS.

Ces informations vous-ont elles été utiles ?

Comment pouvons-nous l'améliorer ?

Vous avez encore besoin d'aide ?

Essayez les solutions ci-dessous :

Recherche
Effacer la recherche
Fermer le champ de recherche
Applications Google
Menu principal